<?php

if ( post_password_required() ) {
	return;
}

if ( $comments ) {
	?>

	<div class="comments" id="comments">

		<?php
		$comments_number = absint( get_comments_number() );
		?>

		<div class="comments-header section-inner small max-percentage">

			<h2 class="comment-reply-title">
			<?php
			if ( ! have_comments() ) {
				esc_html_e( 'Leave a comment', 'istk-portfolio' );
			} elseif ( 1 === $comments_number ) {
				/* translators: %s: Post title. */
				$str = sprintf( _x( 'One reply on &ldquo;%s&rdquo;', 'comments title', 'istk-portfolio' ), get_the_title() );
				esc_html( $str );
			} else {
				$str = sprintf(
					/* translators: 1: Number of comments, 2: Post title. */
					_nx(
						'%1$s reply on &ldquo;%2$s&rdquo;',
						'%1$s replies on &ldquo;%2$s&rdquo;',
						$comments_number,
						'comments title',
						'istk-portfolio'
					),
					number_format_i18n( $comments_number ),
					get_the_title()
				);
				esc_html( $str );
			}

			?>
			</h2><!-- .comments-title -->

		</div><!-- .comments-header -->

		<div class="comments-inner section-inner thin max-percentage">

			<?php
			wp_list_comments(
				array(
					'walker'      => new Walker_Comment(),
					'avatar_size' => 50,
					'style'       => 'div',
				)
			);

			$comment_pagination = paginate_comments_links(
				array(
					'echo'      => false,
					'end_size'  => 0,
					'mid_size'  => 0,
					'next_text' => esc_html__( 'Newer Comments', 'istk-portfolio' ) . ' <span aria-hidden="true">&rarr;</span>',
					'prev_text' => '<span aria-hidden="true">&larr;</span> ' . esc_html__( 'Older Comments', 'istk-portfolio' ),
				)
			);

			if ( $comment_pagination ) {
				$pagination_classes = '';

				// If we're only showing the "Next" link, add a class indicating so.
				if ( false === strpos( $comment_pagination, 'prev page-numbers' ) ) {
					$pagination_classes = ' only-next';
				}
				?>

				<nav class="comments-pagination pagination<?php echo $pagination_classes; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- static output ?>" aria-label="<?php esc_attr_e( 'Comments', 'istk-portfolio' ); ?>">
					<?php echo wp_kses_post( $comment_pagination ); ?>
				</nav>
				
				<?php
			}
			?>

		</div><!-- .comments-inner -->

	</div><!-- comments -->

	<?php
}

if ( comments_open() || pings_open() ) {
	echo '<hr class="styled-separator is-style-wide" aria-hidden="true" />';

	comment_form(
		array(
			'class_form'         => 'section-inner thin max-percentage',
			'title_reply_before' => '<h2 id="reply-title" class="comment-reply-title">',
			'title_reply_after'  => '</h2>',
		)
	);

} elseif ( is_single() ) {
	echo '<hr class="styled-separator is-style-wide" aria-hidden="true" />';
	?>

	<div class="comment-respond" id="respond">
		<p class="comments-closed"><?php esc_html_e( 'Comments are closed.', 'istk-portfolio' ); ?></p>
	</div><!-- #respond -->

	<?php
}
