<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width,initial-scale=1">
<?php wp_head(); ?>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

<a id="skip-nav" class="sr-only skip-link screen-reader-text" href="#main" ><?php esc_html_e( 'Skip to Content', 'istk-portfolio' ); ?></a>

<header id="site-header">
	<?php istk_portfolio_headliner(); ?>
	
	<div class="logo-and-info">
		<div class="container upper">
			<div class="logo"><?php istk_portfolio_display_logo( 'header' ); ?></div>
			<div class="toggle-button first-disp">
				
				<button class="toggle-button-inside" id="main-nav-button" aria-label="<?php esc_attr_e( 'Open Navigation', 'istk-portfolio' ); ?>"><span class="dashicons dashicons-menu-alt"></span></button>
				
        		<span class="str"><?php esc_html_e( 'Open Navigation', 'istk-portfolio' ); //ナビゲーションを開く
				?></span>
				
			</div>
		</div>
		
		<div id="navbarHeader">
			<div class="toggle-button">
				<button class="toggle-button-inside" id="main-nav-button-close"  aria-label="<?php esc_attr_e( 'Close Navigation', 'istk-portfolio' ); ?>"><span class="dashicons dashicons-no-alt"></span></button>
				<span class="str"><?php esc_html_e( 'Close Navigation', 'istk-portfolio' ); //ナビゲーションを閉じる
				?></span>
			</div>
			<div class="container">
				<div class="info"><?php istk_portfolio_display_header_info(); ?></div>
				<?php
				if ( has_nav_menu( 'main_nav' ) ) {
					echo '<nav class="header-navigation-links">';
					wp_nav_menu( array(
						'menu_class'	=>	'nav navbar-nav header-nav-ul',
						'theme_location'	=>	'main_nav',
					));
					echo '</nav>';
				} else {
					echo '<div class="nomenu-spacer">&nbsp;</div>';
				}
				?>
			</div>
		</div>
		
	</div>
</header>

