<?php


function istk_portfolio_action_button() {
	
	//表示するかどうか
	$display_on_off = get_theme_mod( 'istk_portfolio_cta_display_on_off', 'on' );
	//どっちを表示するか
	$display_select = get_theme_mod( 'istk_portfolio_cta_select', 'download' );
	
	//add-on ページごとの設定があればそれに従う
	
	
	if ( $display_on_off === 'on' ) {
		if ( $display_select === 'download' ) {
			istk_portfolio_button_download_section();
		} elseif ( $display_select === 'contact' ) {
			istk_portfolio_button_contact_section();
		}
	}
}
add_filter( 'istk_portfolio_cta', 'istk_portfolio_action_button', 99 );


function istk_portfolio_button_download( $link = '' ) {
	if ( empty( $link ) ) {
		$link = get_theme_mod( 'istk_portfolio_link_download' );
	}
	
	$btn_string = __( 'Download', 'istk-portfolio' ); //資料ダウンロード
	if ( !empty( get_theme_mod( 'istk_portfolio_download_btn_text' ) ) ) {
		$btn_string = get_theme_mod( 'istk_portfolio_download_btn_text' );
	}
	
	
	?>
	<div class="wp-block-button istk-cta-btn download">
		<a class="wp-block-button__link" href="<?php echo esc_url( $link ); ?>">
			<span class="dashicons dashicons-download"></span><?php echo esc_html( $btn_string ); ?>
		</a>
	</div>
	<?php
}


function istk_portfolio_button_contact( $link = '' ) {
	if ( empty( $link ) ) {
		$link = get_theme_mod( 'istk_portfolio_link_contact' );
	}
	$btn_string = __( 'Contact Us', 'istk-portfolio' ); //お問い合わせ
	if ( !empty( get_theme_mod( 'istk_portfolio_contact_btn_text' ) ) ) {
		$btn_string = get_theme_mod( 'istk_portfolio_contact_btn_text' );
	}
	
	
	?><div class="wp-block-button istk-cta-btn contact">
		<a class="wp-block-button__link" href="<?php echo esc_url( $link ); ?>">
			<span class="dashicons dashicons-email"></span><?php echo esc_html( $btn_string ); ?>
		</a>
	</div><?php
}



function istk_portfolio_button_download_section( $link = '' ) {
	//cta資料ダウンロード(画像付きリンク)
	
	//リンク
	$link = get_theme_mod( 'istk_portfolio_link_download' );
	
	//文言
	$comment = get_theme_mod( 'istk_portfolio_download_text' );
	
	//image
	$img_url = get_theme_mod( 'istk_portfolio_pimg' );	
	$img_id = attachment_url_to_postid( $img_url );
	if( $img_id != 0 ) {
		$img = wp_get_attachment_image( $img_id, array( 150, 200 ) );
	} else {
		$img = '<img src="' . $img_url . '" class="fullsize">';
	}
	
	
	
	?>
	<section class="istk-cta download">
	<div class="container">
		<div class="img">
			<a href="<?php echo esc_url( $link ); ?>">
			<?php
				if ( !empty( $img_url ) ) {
					echo wp_kses_post( $img );
				} else {
					echo '<span class="dashicons dashicons-pdf"></span>';
				}
			?></a>
		</div>
		<?php if ( !empty( $comment ) ) { 
			echo '<div class="action-str"><p>' . esc_html( $comment ) . '</p></div>';
		}
		istk_portfolio_button_download( $link );
		?>
	</div>
	</section>
	<?php
}



function istk_portfolio_button_contact_section( $link = '' ) {
	//cta問い合わせ
	
	//リンク
	$link = get_theme_mod( 'istk_portfolio_link_contact' );
	
	//文言
	$comment = get_theme_mod( 'istk_portfolio_contact_text' );
	
	
	?><section class="istk-cta contact">
	<div class="container">
	<?php if ( !empty( $comment ) ) { 
		echo '<div class="action-str"><p>' . esc_html( $comment ) . '</p></div>';
	}
	istk_portfolio_button_contact( $link );
	?>
	</div>
	</section><?php
	
}








//