<?php



function istk_portfolio_customized_color() {
	
	$styles = '';
	
	//ヘッダロゴ色
	if ( !empty( get_header_textcolor() ) ) {
		$styles .= '#site-header .logo, #site-header .logo a'
			. '{ color:#' . get_header_textcolor() . '; }';
	}
	//ヘッドライナー
	if ( !empty( get_theme_mod( 'istk_portfolio_color_headliner' ) ) ) {
		$styles .= '#site-header .headliner{ background-color: ' . get_theme_mod( 'istk_portfolio_color_headliner' ) . ';';
		
		if( function_exists( 'istk_portfolio_luminance_from_hex' ) ) {
			$lum = istk_portfolio_luminance_from_hex( get_theme_mod( 'istk_portfolio_color_headliner' ) );
			if ( $lum > 124 ) {
				$styles .= ' color: rgba(0, 0, 0, 0.85);';
			}
		}
		
		$styles .= '}';
	}
	//ヘッダナビ
	if ( !empty( get_theme_mod( 'istk_portfolio_color_header_nav' ) ) ) {
		$styles .= '#site-header #navbarHeader{ background-color:' . get_theme_mod( 'istk_portfolio_color_header_nav' ) . ';}';
		$styles .= '#site-header #navbarHeader .header-navigation-links ul.sub-menu{ background-color:' . get_theme_mod( 'istk_portfolio_color_header_nav' ) . ';}';
		$styles .= '#site-header .logo-and-info .upper,.header-simple #site-header{border-bottom-color:' . get_theme_mod( 'istk_portfolio_color_header_nav' ) . ';}';
		
		
		
		if( function_exists( 'istk_portfolio_luminance_from_hex' ) ) {
			$lum = istk_portfolio_luminance_from_hex( get_theme_mod( 'istk_portfolio_color_header_nav' ) );
			
			if ( $lum > 125 ) {
				$styles .= '#site-header #navbarHeader .header-navigation-links a{ color: rgba(0, 0, 0, 0.85); }';
			}
		}
		
		
	}
	//ページヘッダー
	if ( !empty( get_theme_mod( 'istk_portfolio_color_page_header' ) ) ) {
		$styles .= '.page-header{ background-color:' . get_theme_mod( 'istk_portfolio_color_page_header' ) . ';}';
		
		if( function_exists( 'istk_portfolio_luminance_from_hex' ) ) {
			$lum = istk_portfolio_luminance_from_hex( get_theme_mod( 'istk_portfolio_color_page_header' ) );
			
			if ( $lum < 125 ) {
				$styles .= '.page-header h1, .page-header p, .page-header p a{ color:#ffffff; }';
			}
		}
	}
	//フッター
	if ( !empty( get_theme_mod( 'istk_portfolio_color_footer' ) ) ) {
		$styles .= '#site-footer{background-color:' . get_theme_mod( 'istk_portfolio_color_footer' ) . ';}';
		
		if( function_exists( 'istk_portfolio_luminance_from_hex' ) ) {
			$lum = istk_portfolio_luminance_from_hex( get_theme_mod( 'istk_portfolio_color_footer' ) );
			
			if ( $lum < 125 ) {
				$styles .= '#site-footer a{ color:#ffffff; }';
				$styles .= '#site-footer{ color:#ffffff; }';
			}
		}
	}
	//サイドバー
	if ( !empty( get_theme_mod( 'istk_portfolio_color_sidebar' ) ) ) {
		$styles .= '#side .widget{background-color:' . get_theme_mod( 'istk_portfolio_color_sidebar' ) . ';}';
		
		$styles .= '.istk_portfolio .work-data-area{background-color:' . get_theme_mod( 'istk_portfolio_color_sidebar' ) . ';}';//portfoioデータ表示部
		
		if( function_exists( 'istk_portfolio_luminance_from_hex' ) ) {
			$lum = istk_portfolio_luminance_from_hex( get_theme_mod( 'istk_portfolio_color_sidebar' ) );
			
			if ( $lum < 125 ) {
				$styles .= '#side .widget, #side .widget a, #side .widget h2{ color:#ffffff; }';
				$styles .= '#side .widget a:visited{ color:rgba(255,255,255,0.7); }';
				$styles .= '#side .widget input[type="submit"]{ border:1px solid #fff; }';
				
				//portfoioデータ表示部
				$styles .= '.istk_portfolio .work-data-area h2, .istk_portfolio .work-data-area .work_data_notice{ color:#fff;}';
				$styles .= '.istk_portfolio .work-data-area table .tag{ background-color: rgba(255,255,255,0.7);}';
				
			}
		}
	}
	
	//アクションボタン（ダウンロード）
	if ( !empty( get_theme_mod( 'istk_portfolio_btn_color_download' ) ) ) {
		$styles .= '.istk-cta-btn.download a{background-color:' . get_theme_mod( 'istk_portfolio_btn_color_download' ) . ';}';
		
		if( function_exists( 'istk_portfolio_luminance_from_hex' ) ) {
			$lum = istk_portfolio_luminance_from_hex( get_theme_mod( 'istk_portfolio_btn_color_download' ) );
			
			if ( $lum > 125 ) {
				$styles .= '.istk-cta-btn.download a{ color:inherit; }';
			}
		}
	}
	
	//アクションボタン（問い合わせ）
	if ( !empty( get_theme_mod( 'istk_portfolio_btn_color_contact' ) ) ) {
		$styles .= '.istk-cta-btn.contact a{background-color:' . get_theme_mod( 'istk_portfolio_btn_color_contact' ) . ';}';
		
		if( function_exists( 'istk_portfolio_luminance_from_hex' ) ) {
			$lum = istk_portfolio_luminance_from_hex( get_theme_mod( 'istk_portfolio_btn_color_contact' ) );
			
			if ( $lum > 125 ) {
				$styles .= '.istk-cta-btn.contact a{ color:inherit; }';
			}
		}
	}
	
	
	if( !empty( $styles ) ) {
		echo '<style type="text/css">' .  esc_attr( $styles ) . '</style>';
	}
}
add_action( 'wp_head', 'istk_portfolio_customized_color' );







function istk_portfolio_luminance_from_hex( $hex ) {
	//明度の計算
	//黒=0 白=255 多いほど明るい。
	//背景が125より低いなら文字を白にする
	$hex = ltrim( $hex, '#' );
	if ( 3 === strlen( $hex ) ) {
		$hex = substr( $hex, 0, 1 ) . substr( $hex, 0, 1 ) . substr( $hex, 1, 1 ) . substr( $hex, 1, 1 ) . substr( $hex, 2, 1 ) . substr( $hex, 2, 1 );
	}
	$red   = hexdec( substr( $hex, 0, 2 ) );
	$green = hexdec( substr( $hex, 2, 2 ) );
	$blue  = hexdec( substr( $hex, 4, 2 ) );

	$lum = ( 0.2126 * $red ) + ( 0.7152 * $green ) + ( 0.0722 * $blue );
	return (int) round( $lum );
}





//
